# Building PsychOS
## Building
```
./genkernel.sh
```
Builds a kernel using files in `build.cfg` and saves it to `kernel.lua`
## Files
### genkernel.sh
genkernel.sh calls `genkernel.lua build.cfg`.
### genkernel.lua
Wrapper for modules/applications/genkernel.lua. Runs it with arguments.
### modules/applications/genkernel.lua
Both a PsychOS module and usable as a program.
#### genkernel(*bp*, *kn*)
Builds a kernel using the modules listed in *bp*, with \_OSNAME including *kn*.
